#include<bits/stdc++.h>

#define ll long long
#define begin begin()
#define end end()
#define pb push_back
#define in insert
#define lldef ll N=0,M=0,K=0;
#define mk make_pair

using namespace std;

vector<int> getVisionPattern1d(){
    vector<int>ANS={1,2,3};
    return ANS;
}
int getMove1d(vector<int> v){
    ll N=v.size();
    ll mid=v[(N-1)/2];
    ll fw=v[(N-1)/2+1];
    ll bw=v[(N-1)/2-1];
    if(mid==1){
        if(fw==2){
            return (N-1)/2+1;
        }else{
            return (N-1)/2-1;
        }
    }else if(mid==2){
        if(fw==3){
            return (N-1)/2+1;
        }else{
            return (N-1)/2-1;
        }
    }else{
        if(fw==1){
            return (N-1)/2+1;
        }else{
            return (N-1)/2-1;
        }
    }
    return 0;
}
vector<vector<int>> getVisionPattern2d(){
}
pair<int, int> getMove2d(vector<vector<int>> v){
}
